#ifndef __CMaterialManager_h
#define __CMaterialManager_h

#include "PhysicsGlobal.h"
#include "IPhysicsWorld.h"
#include "IMaterialCallback.h"

class CMaterialManager
{
public:
	CMaterialManager();
	void init(NewtonWorld* world);
	
	int createMaterial();
	int getDefaultMaterial();

	void isCollidable(int material1, int material2, bool collidable);
	void setFriction(int material1, int material2, f32 staticFriction, f32 kineticFriction);
	void setElasticity(int material1, int material2, f32 elasticity);
	void setSoftness(int material1, int material2, f32 softness);
	void setUserCollisionCallback(int material1, int material2, IMaterialCallback* callback);
	void doContinuousCollision(int material1, int material2, bool continiousCollision);

private:
	NewtonWorld* m_world;
};


#endif
